Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.base
Interface IDefaults

All Known Implementing Classes:
  UlcTransportServer, UlcTransport, com.ibm.ulc.application.ULCProxy, com.ibm.ulc.application.ULCContext, com.ibm.ulc.ui.UIProxy

public abstract interface IDefaults

Implements all static constants required by the ULC application and UI Engine.

Field Summary
`static int` | `BOX_BOTTOM`
`static int` | `BOX_CENTER` Box-orientation constants used to specify a position.
`static java.lang.String` | `BOX_CENTER_BOTTOM` Constant used for anchor horizontally center and anchor vertically to bottom
`static java.lang.String` | `BOX_CENTER_CENTER` Constant used for anchor horizontally center and anchor vertically to center
`static java.lang.String` | `BOX_CENTER_EXPAND` Constant used for anchor horizontally center and vertically expand
`static java.lang.String` | `BOX_CENTER_TOP` Constant used for anchor horizontally center and anchor vertically to top
`static java.lang.String` | `BOX_EXPAND_BOTTOM` Constant used for horizontal expand and anchor vertically to bottom
`static java.lang.String` | `BOX_EXPAND_CENTER` Constant used for horizontal expand and anchor vertically to center
`static java.lang.String` | `BOX_EXPAND_EXPAND` Constant used for horizontal and vertical expand layout
`static java.lang.String` | `BOX_EXPAND_TOP` Constant used for horizontal expand and anchor vertically to top
`static int` | `BOX_LEFT`
`static java.lang.String` | `BOX_LEFT_BOTTOM` Constant used for anchor horizontally left and anchor vertically to bottom
`static java.lang.String` | `BOX_LEFT_CENTER` Constant used for anchor horizontally left and anchor vertically to center
`static java.lang.String` | `BOX_LEFT_EXPAND` Constant used for anchor horizontally left and vertical expand
`static java.lang.String` | `BOX_LEFT_TOP` Constant used for anchor horizontally left and anchor vertically to top
`static int` | `BOX_RIGHT`
`static java.lang.String` | `BOX_RIGHT_BOTTOM` Constant used for anchor horizontally right and anchor vertically to bottom
`static java.lang.String` | `BOX_RIGHT_CENTER` Constant used for anchor horizontally right and anchor vertically to center
`static java.lang.String` | `BOX_RIGHT_EXPAND` Constant used for anchor horizontally right and vertically expand
`static java.lang.String` | `BOX_RIGHT_TOP` Constant used for anchor horizontally right and anchor vertically to top
`static int` | `BOX_TOP`
`static int` | `FORM_MODEL_CHANGED` The ULCFormModel data has changed refresh the data once again.
`static int` | `FORM_MODEL_INVALID` The ULCFormModel is no longer valid
`static int` | `FORM_MODEL_UNSPECIFIED` An unspecified change has occurred in the ULCFormModel.
`static int` | `FORM_NOTIFICATION_IMMEDIATE` Constant used for notification policy which means that any changes in the form field are immediately reported back to the application.
`static int` | `FORM_NOTIFICATION_ON_FOCUS_CHANGE` Constant used for notification policy which means that any changes in the form field are reported back to the application on focus changes.
`static int` | `FORM_NOTIFICATION_ON_REQUEST` Constant used for notification policy which means that any changes in the form field have to be explicitely requested.
`static int` | `LIST_MULTIPLE_INTERVAL_SELECTION` Constant used for selection policy for lists (i.e.
`static int` | `LIST_SINGLE_INTERVAL_SELECTION` Constant used for selection policy for lists (i.e.
`static int` | `LIST_SINGLE_SELECTION` Constant used for selection policy for lists (i.e.
`static int` | `TABLE_AUTO_RESIZE_ALL_COLUMNS` Specify that if the table is resized all columns should be resized.
`static int` | `TABLE_AUTO_RESIZE_LAST_COLUMN` Specify that if the table is resized only the last column should be resized.
`static int` | `TABLE_AUTO_RESIZE_OFF` Specify that if the table is resized the columns should not be resized.
`static int` | `TABLE_EDIT_UPDATE_ON_FOCUS_CHANGE` Constant used for update policy which means that changes done to a Table cell (via direct editing) are reported back to the application on focus change from that cell.
`static int` | `TABLE_EDIT_UPDATE_ON_REQUEST` Constant used for update policy which means that changes done to a Table cell (via direct editing) are reported back to the application only when requested by the application.
`static int` | `TABLE_EDIT_UPDATE_ON_ROW_CHANGE` Constant used for update policy which means that changes done to a Table cell (via direct editing) are reported back to the application when a different row starts being edited.
`static int` | `TABLE_MODEL_CELL_CHANGED` A cell has been changed in the ULCTableModel.
`static int` | `TABLE_MODEL_CONTENTS_CHANGED` Contents in the ULCTableModel have changed.
`static int` | `TABLE_MODEL_ROWS_ADDED` Rows have been added to the ULCTableModel.
`static int` | `TABLE_MODEL_ROWS_CHANGED` Rows have been changed in the ULCTableModel.
`static int` | `TABLE_MODEL_ROWS_REMOVED` Rows have been removed from the ULCTableModel.
`static int` | `TRANSPORT_EX_CONNECTION_INTERRUPTED` Constant used for exception reason in UlcTransportException.
`static int` | `TRANSPORT_EX_INIT_CONNECTION_ERROR` Constant used for exception reason in UlcTransportException.
`static int` | `TRANSPORT_EX_INIT_CONNECTION_EXCEPTION` Constant used for exception reason in UlcTransportException.
`static int` | `TRANSPORT_EX_INIT_SERVER_EXCEPTION` Constant used for exception reason in UlcTransportException.
`static int` | `TRANSPORT_EX_UNKNOWN_REASON` Constant used for exception reason in UlcTransportException.
`static int` | `TREE_CONTIGUOUS_SELECTION` Constant used for selection policy for Tree widgets.
`static int` | `TREE_DISCONTIGUOUS_SELECTION` Constant used for selection policy for Tree widgets.
`static int` | `TREE_SINGLE_SELECTION` Constant used for selection policy for Tree widgets.

Field Detail

### FORM_NOTIFICATION_IMMEDIATE

    public static final int FORM_NOTIFICATION_IMMEDIATE

  Constant used for notification policy which means that any changes in the form field are immediately reported back to the application.

### FORM_NOTIFICATION_ON_FOCUS_CHANGE

    public static final int FORM_NOTIFICATION_ON_FOCUS_CHANGE

  Constant used for notification policy which means that any changes in the form field are reported back to the application on focus changes.

### FORM_NOTIFICATION_ON_REQUEST

    public static final int FORM_NOTIFICATION_ON_REQUEST

  Constant used for notification policy which means that any changes in the form field have to be explicitely requested.

### TABLE_AUTO_RESIZE_OFF

    public static final int TABLE_AUTO_RESIZE_OFF

  Specify that if the table is resized the columns should not be resized.

### TABLE_AUTO_RESIZE_LAST_COLUMN

    public static final int TABLE_AUTO_RESIZE_LAST_COLUMN

  Specify that if the table is resized only the last column should be resized.

### TABLE_AUTO_RESIZE_ALL_COLUMNS

    public static final int TABLE_AUTO_RESIZE_ALL_COLUMNS

  Specify that if the table is resized all columns should be resized.

### TABLE_EDIT_UPDATE_ON_FOCUS_CHANGE

    public static final int TABLE_EDIT_UPDATE_ON_FOCUS_CHANGE

  Constant used for update policy which means that changes done to a Table cell (via direct editing) are reported back to the application on focus change from that cell.

### TABLE_EDIT_UPDATE_ON_REQUEST

    public static final int TABLE_EDIT_UPDATE_ON_REQUEST

  Constant used for update policy which means that changes done to a Table cell (via direct editing) are reported back to the application only when requested by the application.

### TABLE_EDIT_UPDATE_ON_ROW_CHANGE

    public static final int TABLE_EDIT_UPDATE_ON_ROW_CHANGE

  Constant used for update policy which means that changes done to a Table cell (via direct editing) are reported back to the application when a different row starts being edited.

### FORM_MODEL_UNSPECIFIED

    public static final int FORM_MODEL_UNSPECIFIED

  An unspecified change has occurred in the ULCFormModel.

### FORM_MODEL_INVALID

    public static final int FORM_MODEL_INVALID

  The ULCFormModel is no longer valid

### FORM_MODEL_CHANGED

    public static final int FORM_MODEL_CHANGED

  The ULCFormModel data has changed refresh the data once again.

### LIST_SINGLE_SELECTION

    public static final int LIST_SINGLE_SELECTION

  Constant used for selection policy for lists (i.e. List and Table widgets). Allow only one item in the list to be selected.

### LIST_SINGLE_INTERVAL_SELECTION

    public static final int LIST_SINGLE_INTERVAL_SELECTION

  Constant used for selection policy for lists (i.e. List and Table widgets). Allow only a single interval (i.e. one set of items in sequence) to be selected.

### LIST_MULTIPLE_INTERVAL_SELECTION

    public static final int LIST_MULTIPLE_INTERVAL_SELECTION

  Constant used for selection policy for lists (i.e. List and Table widgets). Allow multiple intervals to be selected.

### TABLE_MODEL_CONTENTS_CHANGED

    public static final int TABLE_MODEL_CONTENTS_CHANGED

  Contents in the ULCTableModel have changed.

### TABLE_MODEL_ROWS_ADDED

    public static final int TABLE_MODEL_ROWS_ADDED

  Rows have been added to the ULCTableModel.

### TABLE_MODEL_ROWS_REMOVED

    public static final int TABLE_MODEL_ROWS_REMOVED

  Rows have been removed from the ULCTableModel.

### TABLE_MODEL_ROWS_CHANGED

    public static final int TABLE_MODEL_ROWS_CHANGED

  Rows have been changed in the ULCTableModel.

### TABLE_MODEL_CELL_CHANGED

    public static final int TABLE_MODEL_CELL_CHANGED

  A cell has been changed in the ULCTableModel.

### TREE_SINGLE_SELECTION

    public static final int TREE_SINGLE_SELECTION

  Constant used for selection policy for Tree widgets. Allow only one item in the list to be selected.

### TREE_CONTIGUOUS_SELECTION

    public static final int TREE_CONTIGUOUS_SELECTION

  Constant used for selection policy for Tree widgets. Allow only a single interval (i.e. one set of items in sequence) to be selected.

### TREE_DISCONTIGUOUS_SELECTION

    public static final int TREE_DISCONTIGUOUS_SELECTION

  Constant used for selection policy for Tree widgets. Allow multiple intervals to be selected.

### TRANSPORT_EX_UNKNOWN_REASON

    public static final int TRANSPORT_EX_UNKNOWN_REASON

  Constant used for exception reason in UlcTransportException. Default: unknown reason.

### TRANSPORT_EX_INIT_CONNECTION_EXCEPTION

    public static final int TRANSPORT_EX_INIT_CONNECTION_EXCEPTION

  Constant used for exception reason in UlcTransportException. Exception occurred during initialization of connection.

### TRANSPORT_EX_INIT_CONNECTION_ERROR

    public static final int TRANSPORT_EX_INIT_CONNECTION_ERROR

  Constant used for exception reason in UlcTransportException. Error occurred during initialization of connection.

### TRANSPORT_EX_CONNECTION_INTERRUPTED

    public static final int TRANSPORT_EX_CONNECTION_INTERRUPTED

  Constant used for exception reason in UlcTransportException. Problem occurred while connection was running.

### TRANSPORT_EX_INIT_SERVER_EXCEPTION

    public static final int TRANSPORT_EX_INIT_SERVER_EXCEPTION

  Constant used for exception reason in UlcTransportException. Exception occurred during initialization of server.

### BOX_EXPAND_EXPAND

    public static final java.lang.String BOX_EXPAND_EXPAND

  Constant used for horizontal and vertical expand layout

### BOX_EXPAND_TOP

    public static final java.lang.String BOX_EXPAND_TOP

  Constant used for horizontal expand and anchor vertically to top

### BOX_EXPAND_CENTER

    public static final java.lang.String BOX_EXPAND_CENTER

  Constant used for horizontal expand and anchor vertically to center

### BOX_EXPAND_BOTTOM

    public static final java.lang.String BOX_EXPAND_BOTTOM

  Constant used for horizontal expand and anchor vertically to bottom

### BOX_LEFT_EXPAND

    public static final java.lang.String BOX_LEFT_EXPAND

  Constant used for anchor horizontally left and vertical expand

### BOX_LEFT_TOP

    public static final java.lang.String BOX_LEFT_TOP

  Constant used for anchor horizontally left and anchor vertically to top

### BOX_LEFT_CENTER

    public static final java.lang.String BOX_LEFT_CENTER

  Constant used for anchor horizontally left and anchor vertically to center

### BOX_LEFT_BOTTOM

    public static final java.lang.String BOX_LEFT_BOTTOM

  Constant used for anchor horizontally left and anchor vertically to bottom

### BOX_CENTER_EXPAND

    public static final java.lang.String BOX_CENTER_EXPAND

  Constant used for anchor horizontally center and vertically expand

### BOX_CENTER_TOP

    public static final java.lang.String BOX_CENTER_TOP

  Constant used for anchor horizontally center and anchor vertically to top

### BOX_CENTER_CENTER

    public static final java.lang.String BOX_CENTER_CENTER

  Constant used for anchor horizontally center and anchor vertically to center

### BOX_CENTER_BOTTOM

    public static final java.lang.String BOX_CENTER_BOTTOM

  Constant used for anchor horizontally center and anchor vertically to bottom

### BOX_RIGHT_EXPAND

    public static final java.lang.String BOX_RIGHT_EXPAND

  Constant used for anchor horizontally right and vertically expand

### BOX_RIGHT_TOP

    public static final java.lang.String BOX_RIGHT_TOP

  Constant used for anchor horizontally right and anchor vertically to top

### BOX_RIGHT_CENTER

    public static final java.lang.String BOX_RIGHT_CENTER

  Constant used for anchor horizontally right and anchor vertically to center

### BOX_RIGHT_BOTTOM

    public static final java.lang.String BOX_RIGHT_BOTTOM

  Constant used for anchor horizontally right and anchor vertically to bottom

### BOX_CENTER

    public static final int BOX_CENTER

  Box-orientation constants used to specify a position.

### BOX_TOP

    public static final int BOX_TOP

### BOX_LEFT

    public static final int BOX_LEFT

### BOX_BOTTOM

    public static final int BOX_BOTTOM

### BOX_RIGHT

    public static final int BOX_RIGHT

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD